CLEAR ALL
a$="**** Liquid BASIC ****"
' 40x25 visible tiles, add +2 to have some offscreen space to work with
TILEMAP 1 NEW 40+2,25+2
SPRITE 1 BIND TILEMAP 1 SHOW XYSIZE 4,4
TARGET TILEMAP 1
DO
    SHIFT TILEMAP 0,0
    INK RND.COLOR
    HIGHLIGHT 0
    'PUT TILES (40+2-LEN(a$))/2,25+1,a$
    TPRINT LINE CENTER ON 25+1,a$;
    PAUSE
    FOR i=1 TO 7
        SHIFT TILEMAP 0,i
        IF INKEY$<>"" THEN EXIT DO
        PAUSE
    NEXT i
    SCROLL TILEMAP UP 1
LOOP
